Bug 1391908 (CVE-2016-9178) - CVE-2016-9178 kernel: Information leak in get_user_ex function
Summary: CVE-2016-9178 kernel: Information leak in get_user_ex function
Status: CLOSED WONTFIX
Alias: CVE-2016-9178
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160915,reported=2...
Keywords: Reopened, Security
Depends On: 1391910
Blocks: 1391915
TreeView+ depends on / blocked
 
Reported: 2016-11-04 11:12 UTC by Andrej Nemec
Modified: 2019-06-08 21:33 UTC (History)
36 users (show)

(edit)
The __get_user_asm_ex macro in arch/x86/include/asm/uaccess.h in the Linux kernel before 4.7.5 does not initialize a certain integer variable, which allows local users to obtain sensitive information from kernel stack memory by triggering failure of a get_user_ex call.
Clone Of:
(edit)
Last Closed: 2017-01-20 10:34:20 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-04 11:12:05 UTC
An information leak was found in the Linux kernel. The __get_user_asm_ex macro in arch/x86/include/asm/uaccess.h in the Linux kernel before 4.7.5 does not initialize a certain integer variable, which allows local users to obtain sensitive information from kernel stack memory by triggering failure of a get_user_ex call.

References:

http://seclists.org/oss-sec/2016/q4/320

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1c109fabbd51863475cd12ac206bdd249aee35af

Comment 1 Andrej Nemec 2016-11-04 11:13:03 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1391910]

Comment 2 Justin M. Forbes 2016-11-04 16:24:42 UTC
This issue was fixed in 4.7.5 stable updates across all Fedora releases.

Comment 5 Vladis Dronov 2017-01-20 10:34:20 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code which can trigger the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.